com.lowagie.toolbox.swing

## Class FileList.FileTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - com.lowagie.toolbox.swing.FileList.FileTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  FileList

     class FileList.FileTableModel
    extends javax.swing.table.AbstractTableModel

### Field Summary

Fields
`private java.lang.String[]` `columnNames`
`private static long` `serialVersionUID`

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`FileList.FileTableModel()`

### Method Summary

Methods
`java.lang.Class<?>` `getColumnClass(int col)`
`int` `getColumnCount()`
`java.lang.String` `getColumnName(int col)`
`int` `getRowCount()`
`java.lang.Object` `getValueAt(int row, int col)`
`void` `removeRow(int row)`

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### columnNames

    private java.lang.String[] columnNames

### Constructor Detail

#### FileList.FileTableModel

    FileList.FileTableModel()

### Method Detail

#### getColumnCount

    public int getColumnCount()

#### getRowCount

    public int getRowCount()

#### getColumnName

    public java.lang.String getColumnName(int col)

Specified by:
  `getColumnName` in interface `javax.swing.table.TableModel`
Overrides:
  `getColumnName` in class `javax.swing.table.AbstractTableModel`

#### getValueAt

    public java.lang.Object getValueAt(int row,
                              int col)

#### getColumnClass

    public java.lang.Class<?> getColumnClass(int col)

Specified by:
  `getColumnClass` in interface `javax.swing.table.TableModel`
Overrides:
  `getColumnClass` in class `javax.swing.table.AbstractTableModel`

#### removeRow

    public void removeRow(int row)